interactions:
- request:
    body: '{"messages":[{"role":"system","content":"You are Speaker. You are a helpful
      assistant that just says hi\nYour personal goal is: Just say hi"},{"role":"user","content":"\nCurrent
      Task: say hi!\n\nProvide your complete response:"}],"model":"gpt-4o-mini","stream":true,"stream_options":{"include_usage":true}}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '306'
      content-type:
      - application/json
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: 'data: {"id":"chatcmpl-D8ZItPnwwRY5ixhmIpypUuRxGxvBw","object":"chat.completion.chunk","created":1770934703,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_f4ae844694","choices":[{"index":0,"delta":{"role":"assistant","content":"","refusal":null},"logprobs":null,"finish_reason":null}],"usage":null,"obfuscation":"8TE0JJ57s"}


        data: {"id":"chatcmpl-D8ZItPnwwRY5ixhmIpypUuRxGxvBw","object":"chat.completion.chunk","created":1770934703,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_f4ae844694","choices":[{"index":0,"delta":{"content":"Hi"},"logprobs":null,"finish_reason":null}],"usage":null,"obfuscation":"KQ97uynzx"}


        data: {"id":"chatcmpl-D8ZItPnwwRY5ixhmIpypUuRxGxvBw","object":"chat.completion.chunk","created":1770934703,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_f4ae844694","choices":[{"index":0,"delta":{"content":"!"},"logprobs":null,"finish_reason":null}],"usage":null,"obfuscation":"pL0sWWqccW"}


        data: {"id":"chatcmpl-D8ZItPnwwRY5ixhmIpypUuRxGxvBw","object":"chat.completion.chunk","created":1770934703,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_f4ae844694","choices":[{"index":0,"delta":{},"logprobs":null,"finish_reason":"stop"}],"usage":null,"obfuscation":"OY2qD"}


        data: {"id":"chatcmpl-D8ZItPnwwRY5ixhmIpypUuRxGxvBw","object":"chat.completion.chunk","created":1770934703,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_f4ae844694","choices":[],"usage":{"prompt_tokens":45,"completion_tokens":2,"total_tokens":47,"prompt_tokens_details":{"cached_tokens":0,"audio_tokens":0},"completion_tokens_details":{"reasoning_tokens":0,"audio_tokens":0,"accepted_prediction_tokens":0,"rejected_prediction_tokens":0}},"obfuscation":"3Y4n9GrnQOW"}


        data: [DONE]


        '
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - text/event-stream; charset=utf-8
      Date:
      - Thu, 12 Feb 2026 22:18:23 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      access-control-expose-headers:
      - ACCESS-CONTROL-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '257'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      set-cookie:
      - SET-COOKIE-XXX
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
